Public Member Functions | Data Fields

# GenericResolverObject Struct Reference

Resolver object for generic objects/properties. More...

Inheritance diagram for GenericResolverObject:

## Public Member Functions
| GenericResolverObject (bool ai_callback, CallbackID callback=CBID_NO_CALLBACK)
| Generic resolver.
ScopeResolver * | GetScope (VarSpriteGroupScope scope=VSG_SCOPE_SELF, byte relative=0)
| Get a resolver for the scope.
const SpriteGroup * | ResolveReal (const RealSpriteGroup *group) const
| Get the real sprites of the grf.
## Data Fields
GenericScopeResolver | generic_scope

## Detailed Description

Resolver object for generic objects/properties.

Definition at line 42 of file newgrf_generic.cpp.

## Constructor & Destructor Documentation

GenericResolverObject::GenericResolverObject | ( | bool | ai_callback,
|  | CallbackID | callback = `CBID_NO_CALLBACK` |
| ) |  |  |

Generic resolver.

Parameters:

  | ai_callback | Callback comes from the AI.
  | callback | Callback ID.

Definition at line 142 of file newgrf_generic.cpp.

## Member Function Documentation

ScopeResolver* GenericResolverObject::GetScope | ( | VarSpriteGroupScope | scope = `VSG_SCOPE_SELF`,
|  | byte | relative = `0` |
| ) |  |  | `[inline, virtual]`

Get a resolver for the scope.

Parameters:

  | scope | Scope to return.
  | relative | Additional parameter for VSG_SCOPE_RELATIVE.

Returns:
  The resolver for the requested scope.

Reimplemented from ResolverObject.

Definition at line 47 of file newgrf_generic.cpp.

References VSG_SCOPE_SELF.

const SpriteGroup * GenericResolverObject::ResolveReal | ( | const RealSpriteGroup * | group | ) | const`[virtual]`

Get the real sprites of the grf.

Parameters:

  | group | Group to get.

Returns:
  The available sprite group.

Reimplemented from ResolverObject.

Definition at line 130 of file newgrf_generic.cpp.

References RealSpriteGroup::loaded, and RealSpriteGroup::num_loaded.

The documentation for this struct was generated from the following file:

- src/newgrf_generic.cpp